﻿<h1>
  Displaying {{ data.length }} {{moduleName}}.
</h1>

<div>    
  <a routerLink="/doorsadd" routerLinkActive="active" class="btn btn-primary">
    Add
  </a>
</div>

<table class="table">
  <thead class="thead-dark">
    <tr>   
	   <th scope="col">Id</th> 
<th scope="col">V</th> 
<th scope="col">Name</th> 
<th scope="col">From</th> 
<th scope="col">To</th> 
<th scope="col">IP Device1</th> 
<th scope="col">IP Device2</th> 
<th scope="col">Blocked?</th> 
<th scope="col">Modificar</th> 
<th scope="col">Remover</th> 



    </tr>
  </thead>

  <tbody>
    <tr *ngFor="let singleData of data">  
    
       <th scope="row"> 
<a routerLink="{{singleData._id}}" routerLinkActive="active"> 
{{ singleData._id }} 
</a> 
</th> 
<td>{{ singleData.__v }}</td> 
<td>{{ singleData.door_name }}</td> 
<td>{{ singleData.door_from }}</td> 
<td>{{ singleData.door_to }}</td> 
<td>{{ singleData.door_ip1 }}</td> 
<td>{{ singleData.door_ip2 }}</td> 
<td>{{ singleData.door_blocked }}</td> 

    
      <td><a routerLink="/doorsedit/{{singleData[keyName]}}" type="button" class="btn btn-info">Modificar</a></td>
      <td><button (click)="removeData(singleData[keyName])" type="button" class="btn btn-danger">Remover</button></td>
    </tr>
  </tbody>
</table>

